/**
 * Copyright © 2012-2022 by Data Virtuality GmbH
 */
package org.teiid.auth.openid.model;

import com.google.gson.annotations.SerializedName;

/**
 * @author Archil Gabeskiria
 * @date 2022.08.05
 */
public class IntrospectionResponse {

    @SerializedName("active")
    private Boolean active;

    @SerializedName("client_id")
    private String clientId;

    @SerializedName("username")
    private String username;

    @SerializedName("exp")
    private Long exp; // The token expiration time, as number of seconds since the Unix epoch (1970-01-01T0:0:0Z)

    @SerializedName("sub")
    private String sub;

    public Boolean getActive() {
        return active;
    }

    public void setActive(Boolean active) {
        this.active = active;
    }

    public String getClientId() {
        return clientId;
    }

    public void setClientId(String clientId) {
        this.clientId = clientId;
    }

    public String getUsername() {
        return username;
    }

    public void setUsername(String username) {
        this.username = username;
    }

    public Long getExp() {
        return exp;
    }

    public void setExp(Long exp) {
        this.exp = exp;
    }

    public String getSub() {
        return sub;
    }

    public void setSub(String sub) {
        this.sub = sub;
    }
}